#include<iostream>
using namespace std;
int main(){
long long N,i,pr,j,var=0;
cin>>N;
long long h[N];
for(i=0;i<N;i++){
    cin>>h[i];
}
for(j=1;j<=i;j++){
    if(h[j-1]<h[j]){
        var++;
    }
}
for(j=1;j<=i;j++){
    if(h[j+1]<h[j]){
        var++;
    }
}
cout<<(var+1)*2;
return 0;
}
